uniform float iGlobalTime;
uniform vec3 iResolution;
uniform float u_alpha;

uniform sampler2D iChannel0;

void main(void)
{
	vec2 uv = gl_FragCoord.xy / iResolution.xy;

    vec2 texuv = (uv-vec2(0.5));
    texuv.x *= iResolution.z * (3.0/4.0);
	texuv += vec2(0.5);

	gl_FragColor = texture2D(iChannel0, texuv);
	gl_FragColor.a *= u_alpha;
//	gl_FragColor = vec4(1.0, 0.0, 0.0, 1.0);
}